<?php
$ldap_dirname_basic = dirname(__FILE__);
require_once($ldap_dirname_basic."/ldap.php");

/*************************************************************************
**************************************************************************
Alert Box Popup Confimation Message Function 
*************************************************************************/ 
function confirm($msg) 
{ 
	echo "<script langauge=\"javascript\">alert(\"".$msg."\");</script>"; 
}
/*************************************************************************
**************************************************************************
Faculty Grade View Function
*************************************************************************/ 
function Faculty_View_Grade()
{
  global $wpdb;
  global $current_user;
  get_currentuserinfo();

  echo '<link type="text/css" rel="stylesheet" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/Simple Gradebook/files/table.css" />' . "\n";

  if (is_user_logged_in())
  {
    $User_rol = $wpdb->get_row($wpdb->prepare("SELECT User_login, User_role FROM gb_user_table WHERE User_login='".$current_user->user_login."'"));
	if ((($User_rol->User_role)=='Administrator') OR (($User_rol->User_role)=='Faculty') OR (($User_rol->User_role)=='Teacher Assistant'))
	{
	  echo "<br></br><b>View Student Grades</b><br></br>";
	  
	  $Current_Course = $wpdb->get_results($wpdb->prepare("SELECT Course_No, Course_Title, Section, Instructor_login, Term FROM course_table WHERE Instructor_login = '".$current_user->user_login."' ORDER BY RIGHT(Term,4) DESC"));
	  $Current_Course_admin = $wpdb->get_results($wpdb->prepare("SELECT Course_No, Course_Title, Section, Instructor_login, Term FROM course_table ORDER BY RIGHT(Term,4) DESC"));
	  
		?><form action="" method="post" name="View_Grade_form" enctype="multipart/form-data"><table width="auto">
			<tr><td>Select Course </td>
				<td><SELECT name="Sel_Course" style="width:500px"><OPTION>Select</OPTION>
				<?php if ((($User_rol->User_role)=='Faculty') OR (($User_rol->User_role)=='Teacher Assistant'))
		    		  {
						foreach ($Current_Course  as $Cur_course)
						{		
							?><OPTION><?php echo $Cur_course->Term." - ".$Cur_course->Course_No." - ".$Cur_course->Section." - ".$Cur_course->Course_Title; ?></OPTION><?php
						}
					  }
					  else if(($User_rol->User_role)=='Administrator')
					  {
						foreach ($Current_Course_admin  as $Cur_course)
						{		
							?><OPTION><?php echo $Cur_course->Term." - ".$Cur_course->Course_No." - ".$Cur_course->Section." - ".$Cur_course->Course_Title; ?></OPTION><?php
						}
					  }
			    ?></SELECT></td>
			</tr>
			<tr><td></td>
				<td><input type="submit" name="View_Grade" value="View Grades"></td>
			</tr>
			</table>
		</form>
		
      <?php $post_view = esc_html($_POST['View_Grade']);
			if($post_view)
			{
			    $post_sel_course = esc_html($_POST['Sel_Course']);
				if($post_sel_course=='Select') 
				{
					echo "Please select a course";
				}
				else
				{				    
					$course_det = explode(" - ",$post_sel_course);
					//$rec_exist = $wpdb->get_var("SELECT COUNT(*) FROM gradebook WHERE Course_No = '".$cur_Course_det[0]."' and Section = '".$cur_Course_det[1]."' and Term = '".$_SESSION['Cur_term']."' and Email = '".$email_add."'");
					$Grades = $wpdb->get_results($wpdb->prepare("SELECT * FROM gradebook WHERE Course_No = '".$course_det[1]."' and Section = '".$course_det[2]."' and Term = '".$course_det[0]."'"));
					$header=true;
					if($Grades)
					{	
						$value='<br></br><b><i><u>Grades for "'.$post_sel_course.'"</u></i></b><br></br><br></br>';
						$value=$value.'<div style="width:auto;height:400px;overflow:auto;border:1px solid;">';
						$value=$value.'<table class="gb_class" style="width:auto;height:auto;">';
						foreach ($Grades as $Grade)
						{
							if($header==true)
							{
								$header_row=explode(",", $Grade->Data_Title);
								$value=$value.'<tr style="font-family: Arial; font-size: 10pt;">';
								for($i=0; $i<count($header_row); $i++)
								{
									$value=$value."<td><b>".$header_row[$i]."</b></td>";
								}
								$value=$value."</tr>";
								$header=false;
							}
							$data_row=explode(",", $Grade->Data_Value);
							$value=$value.'<tr style="font-family: Arial; font-size: 10pt;">';
							for($j=0; $j<count($data_row); $j++)
							{
								$value=$value."<td>".$data_row[$j]."</td>";
							}
							$value=$value."</tr>";
						}
						$value=$value."</table></div>";
						echo $value;
					}
					else
					{
						echo "No grades have been recorded for this class";
					}
				}
			}
	}
  }
 }
/*************************************************************************
**************************************************************************
Email Students Function
*************************************************************************/ 
function Email_Students()
{
  global $wpdb;
  global $current_user;
  get_currentuserinfo();

  echo '<link type="text/css" rel="stylesheet" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/Simple Gradebook/files/table.css" />' . "\n";

  if (is_user_logged_in())
  {
    $User_rol = $wpdb->get_row($wpdb->prepare("SELECT User_login, User_role FROM gb_user_table WHERE User_login='".$current_user->user_login."'"));
	if ((($User_rol->User_role)=='Administrator') OR (($User_rol->User_role)=='Faculty') OR (($User_rol->User_role)=='Teacher Assistant'))
	{
	  echo "<b>Send Email Notification</b><br></br>";
	  //$Current_Term = $wpdb->get_row("SELECT * FROM general_info WHERE Title='Current Term'");
	  $Current_Course = $wpdb->get_results($wpdb->prepare("SELECT Course_No, Course_Title, Section, Instructor_login, Term FROM course_table WHERE Instructor_login = '".$current_user->user_login."' ORDER BY RIGHT(Term,4) DESC"));
	  $Current_Course_admin = $wpdb->get_results($wpdb->prepare("SELECT Course_No, Course_Title, Section, Instructor_login, Term FROM course_table ORDER BY RIGHT(Term,4) DESC"));
	  ?><form action="" method="post" name="Email_student_form" enctype="multipart/form-data"><table>
			<tr><td>Select Course :</td>
				<td><SELECT name="Sel_Course" style="width:500px"><OPTION>Select</OPTION>
					<?php if ((($User_rol->User_role)=='Faculty') OR (($User_rol->User_role)=='Teacher Assistant'))
							{
								foreach ($Current_Course  as $Cur_course)
								{		
									?><OPTION><?php echo $Cur_course->Term." - ".$Cur_course->Course_No." - ".$Cur_course->Section." - ".$Cur_course->Course_Title; ?></OPTION>
						  <?php }
							}
							else if(($User_rol->User_role)=='Administrator')
									{
										foreach ($Current_Course_admin  as $Cur_course)
										{		
											?><OPTION><?php echo $Cur_course->Term." - ".$Cur_course->Course_No." - ".$Cur_course->Section." - ".$Cur_course->Course_Title; ?></OPTION>
								<?php	}
									}
				?></SELECT></td>
			</tr>
			<tr><td>Email Column Name :</td><td><input type="text" name="email_col" size="60"></td></tr>
			<tr><td>Email Subject :</td>
				<td><input type="text" name="email_subj" value="Gradebook" size="60"></td></tr>		
			<tr><td>Email message :</td>
				<td><textarea name="email_message"  cols="49" rows="5">
Dear Student,

Your gradebook data has been updated.

Thanks
MIS Department        
				</textarea></td></tr>		
			</table><br></br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<input type="submit" name="Send_Email" value="Send Email"><br></br>
		</form>
  <?php $post_send_mail = esc_html($_POST['Send_Email']);
		$post_sel_course = esc_html($_POST['Sel_Course']);
		$post_email_subj = esc_html($_POST['email_subj']);
		$post_email_msg = esc_html($_POST['email_message']);
		$post_email_col = esc_html($_POST['email_col']);
		if($post_send_mail)
		  {
		    
			if(($post_sel_course=='Select')||($post_email_col==''))
				{
					confirm("Please select a course & Enter the Email Column Name");
				}
				else
				{
					$obt_name1 = explode("[",$post_email_subj);
					$name1 = explode("]",$obt_name1[1]);
					$obt_name2 = explode("[",$post_email_msg);
					$name2 = explode("]",$obt_name2[1]);
		
					$email_subject=($post_email_subj);
					$email_message=($post_email_msg);
					$course_det = explode(" - ",$post_sel_course);
					//$rec_exist = $wpdb->get_var("SELECT COUNT(*) FROM gradebook WHERE Course_No = '".$cur_Course_det[0]."' and Section = '".$cur_Course_det[1]."' and Term = '".$_SESSION['Cur_term']."' and Email = '".$email_add."'");
					$Grades = $wpdb->get_results($wpdb->prepare("SELECT * FROM gradebook WHERE Course_No = '".$course_det[1]."' and Section = '".$course_det[2]."' and Term = '".$course_det[0]."'"));
					$header=true;
					$email_address_val="";
					$col_num = -1;
					$name=false;
					if($Grades)
					{	
					    $value='<br></br><b><i><u>Grades for "'.$post_sel_course.'"</u></i></b><br></br><br></br>';
						$value=$value.'<div style="width:auto;height:auto;overflow:auto;border:1px solid;">';
						$value=$value.'<table class="gb_class" style="width:auto;height:auto;">';
						foreach ($Grades as $Grade)
						{
							if($header==true)
							{
								$header_row=explode(",", $Grade->Data_Title);
								for($i=0; $i<count($header_row); $i++)
								{					
									if(trim($header_row[$i])==trim($post_email_col))
									{
										$col_num=$i;										 
									}
									if((trim($header_row[$i])==trim($name1[0])) and (trim($name1[0])!=""))
									{
										confirm($name1[0]);
										$name=true;												
										$name_id=$i;
									}
									if((trim($header_row[$i])==trim($name2[0])) and (trim($name2[0])!=""))
									{
										confirm($name2[0]);
										$name=true;												
										$name_id2=$c;
									}					
								}
								$header=false;
							}
							if($col_num==-1)
							{
								confirm("Column with the name, '".$post_email_col."' does not exist");
							}
							else
							{
								$data_row=explode(",", $Grade->Data_Value);
								if($name==true)
								{
									if($name1[0]!="")
									{
										$email_subject=$obt_name1[0]." ".$data_row[$name_id]." ".$name1[1];											
									}
									else
									{
										$email_subject=$post_email_subj;			
									}										  
									if($name2[0]!="")
									{
										$email_message=$obt_name2[0]." ".$data_row[$name_id]." ".$name2[1];
									}
									else
									{
										$email_message=$post_email_msg;		
									}
								}
								else
								{
									$email_subject=$post_email_subj;	
									$email_message=$post_email_msg;											
								}
								wp_mail($data_row[$col_num], $email_subject, $email_message);											    
							}
						}
						//echo "Email Confirmation has been sent out to the following emails".$email_address_val;
						confirm("Email Confirmation has been sent");
					}
					else
					{
						confirm("No grades have been recorded for this class");
					}
				}
		   }
	}
  } 
}
/*************************************************************************
**************************************************************************
Student Grade View Function
*************************************************************************/ 
function Student_View_Grade()
{
  global $wpdb;
  global $current_user;
  get_currentuserinfo();

  echo '<link type="text/css" rel="stylesheet" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/Simple Gradebook/files/table.css" />' . "\n";

  if (is_user_logged_in())
  {       
  	$User_courses = $wpdb->get_results($wpdb->prepare("SELECT * FROM gradebook WHERE Email='".$current_user->user_email."' ORDER BY RIGHT(TERM,4) DESC"));
	if ($User_courses)
	{
	  echo "<br></br><b>View Grade</b><br></br>";
	  ?><form action="" method="post" name="_Stud_View_Grade_form" enctype="multipart/form-data"><table>
			<tr><td>Select Course </td>
				<td><SELECT name="Sel_Course_Std" style="width:500px"><OPTION>Select</OPTION>
				<?php foreach ($User_courses  as $User_course)
						{		
							?><OPTION><?php echo $User_course->Term." - ".$User_course->Course_No." - ".$User_course->Section; ?></OPTION>
			      <?php }
				  ?></SELECT></td>
			</tr>
			<tr><td></td>
				<td><input type="submit" name="Std_View_Grade" value="View Grade"></td></tr>
		</table></form>
<?php 	$post_std_view_grd = esc_html($_POST['Std_View_Grade']);
		$post_sel_course_std = esc_html($_POST['Sel_Course_Std']);
		if($post_std_view_grd)
			{
				if($post_sel_course_std=='Select') 
				{
					echo "Please select a course";
				}
				else
				{
					$course_det = explode(" - ",$post_sel_course_std);
					//$rec_exist = $wpdb->get_var("SELECT COUNT(*) FROM gradebook WHERE Course_No = '".$cur_Course_det[0]."' and Section = '".$cur_Course_det[1]."' and Term = '".$_SESSION['Cur_term']."' and Email = '".$email_add."'");
					$Grades = $wpdb->get_row($wpdb->prepare("SELECT * FROM gradebook WHERE Course_No = '".$course_det[1]."' and Section = '".$course_det[2]."' and Term = '".$course_det[0]."' and Email = '".$current_user->user_email."'"));
					if($Grades)
					{
						echo '<br></br><b><i><u>Grades for "'.$post_sel_course_std.'"</u></i></b><br></br><br></br>';
						echo '<div style="width:auto;height:auto;overflow:auto;">';
						echo '<table class="gb_class" style="width:auto;height:auto;">';
						$header_row=explode(",", $Grades->Data_Title);
						$data_row=explode(",", $Grades->Data_Value);
						for($i=0; $i<count($header_row); $i++)
						{
							echo '<tr style="font-family: Arial; font-size: 12pt;">';
							echo "<td><b>".$header_row[$i]."</b></td>";
							echo "<td><right>".$data_row[$i]."</td>";
							echo "</tr>";
						}				
						echo "</table></div>";
					}
					else
					{
						echo "No grades have been recorded for this class";
					}
				}
			}
	}
	else
	{
	  echo "<br><br></br></br><b>You have no recorded Grades</b><br></br>";
	}
  } 
}
/*************************************************************************
**************************************************************************
Upload Grade Data Function
*************************************************************************/ 
function Upload_Grade_Data()
{
  global $wpdb;
  global $current_user;
  get_currentuserinfo();

  if (is_user_logged_in())
  {
    $User_rol = $wpdb->get_row($wpdb->prepare("SELECT User_login, User_role FROM gb_user_table WHERE User_login='".$current_user->user_login."'"));
	if ((($User_rol->User_role)=='Administrator') OR (($User_rol->User_role)=='Faculty') OR (($User_rol->User_role)=='Teacher Assistant'))
	{
	  echo "<br></br><b>&nbsp;Upload Grades</b><br></br>";
	  $Current_Term = $wpdb->get_row($wpdb->prepare("SELECT * FROM general_info WHERE Title='Current Term'"));
	  $Current_Course = $wpdb->get_results($wpdb->prepare("SELECT Course_No, Course_Title, Section, Instructor_login, Term FROM course_table WHERE Instructor_login = '".$current_user->user_login."' and Term = '".$Current_Term->Value."'"));
	  $Current_Course_admin = $wpdb->get_results($wpdb->prepare("SELECT Course_No, Course_Title, Section, Instructor_login, Term FROM course_table WHERE Term = '".$Current_Term->Value."'"));
	  $_SESSION['Cur_term']=$Current_Term->Value;
	  ?><form action="" method="post" name="upload_Grade" enctype="multipart/form-data"><table>
			<tr><td>Select Course </td>
				<td><SELECT name="Sel_Course" style="width:350px"><OPTION>Select</OPTION>
				<?php if ((($User_rol->User_role)=='Faculty') OR (($User_rol->User_role)=='Teacher Assistant'))
							{
								foreach ($Current_Course  as $Cur_course)
									{		
										?><OPTION><?php echo $Cur_course->Course_No." - ".$Cur_course->Section." - ".$Cur_course->Course_Title; ?></OPTION>
							  <?php }
							}
							else if(($User_rol->User_role)=='Administrator')
							{
								foreach ($Current_Course_admin  as $Cur_course)
									{		
										?><OPTION><?php echo $Cur_course->Course_No." - ".$Cur_course->Section." - ".$Cur_course->Course_Title; ?></OPTION>
							  <?php }
							}
				?></SELECT></td>
			</tr>
			<tr><td>Upload File :</td>
				<td><input type="file" name="file"></td></tr>
			<tr><td>Email Column Name :</td>
				<td><input type="text" name="email" size="60"></td></tr>					
			</table>
			<input type=checkbox name="delete">Please check this box in order to delete all previous grades for this particular course before uploading new grades. 
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Default Setting: Existing data gets appended.]<br></br>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<input type="submit" name="Grade_Upload" value="Upload Grades"><br><br></br></br>
		</form>
  <?php $post_grade_upload = esc_html($_POST['Grade_Upload']);
		$post_email = esc_html($_POST['email']);
		$post_sel_course = esc_html($_POST['Sel_Course']);
		$post_delete = esc_html($_POST['delete']);
		
		if($post_grade_upload)
			{
				if(($post_email=="") OR ($post_sel_course=="Select"))
				{
					//echo "Please make sure enter a valid email field as well as select a valid select a valid course";
					confirm("Please make sure that you have entered a valid email field and course");
				}
				else
				{
					foreach ($_FILES as $file) 
					{ 
						if ($file['tmp_name'] > '') 
						{ 
							if (!in_array(end(explode(".", strtolower($file['name']))), array("csv"))) 
							{ 
								//die('<br/><b>"'.$file['name'].'"</b> is an invalid file type!<br/><br/>'.'<a href="javascript:history.go(-1);">'.'&lt;&lt Go Back</a>');
								confirm("'".$file['name']."' is an invalid file type!");
							}
							else
							{
								$dom = DOMDocument::load( $_FILES['file']['tmp_name'] );
								$row = 1;
								$email = false;
								if ($post_delete)
								{
									$ch1='checked';           
								}
								else
								{
									$ch1='unchecked';
								}
								if (($handle = fopen($file['tmp_name'], "r")) !== FALSE) 
								{
									while (($data = fgetcsv($handle, 0, ",")) !== FALSE)
									{
										$num = count($data);
										$student_row = "";
										for ($c=0; $c < $num; $c++) 
										{
											$student_row= $student_row.$data[$c].",\n";
											if ($row==1)
											{
												if(($data[$c])==($post_email))
												{
													$email=true;												
													$email_id=$c;
												}											
											}
										}
										if ($email==true)
										{									
											if ($ch1=="checked")
											{
												$cur_Course_detail=explode(" - ",$post_sel_course);
												$Delete_Grades = $wpdb->query($wpdb->prepare("Delete FROM gradebook WHERE Course_No = '".$cur_Course_detail[0]."' and Section = '".$cur_Course_detail[1]."' and Term = '".$_SESSION['Cur_term']."'"));
												$ch1='unchecked';
											}
											$email_add=$data[$email_id];
											if ($row==1)
											{
												$first_row= $student_row;
											}
											if($row!=1)
											{
												$cur_Course_det=explode(" - ",$post_sel_course);
												$rec_exist = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM gradebook WHERE Course_No = '".$cur_Course_det[0]."' and Section = '".$cur_Course_det[1]."' and Term = '".$_SESSION['Cur_term']."' and Email = '".$email_add."'"));
												if($rec_exist==0)
												{
													$ins_results = $wpdb->query($wpdb->prepare("INSERT INTO gradebook (Course_No, Section, Email, Term, Data_Title, Data_Value) VALUES ('".$cur_Course_det[0]."', '".$cur_Course_det[1]."', '".$email_add."', '".$_SESSION['Cur_term']."', '".$first_row."', '".$student_row."')"));
												}
												else
												{	
													$wpdb->update('gradebook', array('Data_Title'=>$first_row, 'Data_Value'=>$student_row), array('Course_No' =>$cur_Course_det[0], 'Section'=>$cur_Course_det[1], 'Term'=>$_SESSION['Cur_term'], 'Email'=>$email_add), array('%s', '%s'), array('%s','%s','%s','%s'));											 											   
												}
											}
										}
										$row++;
									}
									if ($email==false)
									{
										confirm("please enter a valid email field");
									}
									fclose($handle);
								}
							}
						}
					} 
				}	
			}		  
	}
  } 
}
/*************************************************************************
**************************************************************************
Update Course Table Function
*************************************************************************/
function update_course_table()
{
  global $wpdb;
  global $current_user;
  get_currentuserinfo();
  
  if (is_user_logged_in())
  {
    $User_rol = $wpdb->get_row($wpdb->prepare("SELECT User_login, User_role FROM gb_user_table WHERE User_login='".$current_user->user_login."'"));
	if (($User_rol->User_role)=='Administrator')
	{
	  echo "<br></br><b>Add Courses</b><br></br>";
	  $Instructor_logins = $wpdb->get_results($wpdb->prepare("SELECT User_login FROM gb_user_table"));
	  $Term_list = $wpdb->get_row($wpdb->prepare("SELECT * FROM general_info WHERE Title='Term List'"));
	  $options = explode("/", $Term_list->Value);
	  ?><form action="" method="post" name="upd_course_table" enctype="multipart/form-data"><table>
			<tr><td>CRN No: </td>
				<td><input type="text" name="CRN"></td></tr>
			<tr><td>Course No</td>
				<td><input type="text" name="Course_No"></td></tr>
			<tr><td>Course Title</td>
				<td><input type="text" name="Course_Title"></td></tr>
			<tr><td>Course Section</td>
				<td><input type="text" name="Course_Section"></td></tr>
			<tr><td>Instructor Login</td>
				<td><SELECT name="Ins_login" style="width:220px"><OPTION>Select</OPTION>
			    <?php foreach ($Instructor_logins  as $ins_log_data)
						{		
							?><OPTION><?php echo $ins_log_data->User_login; ?></OPTION>
				  <?php }
				?></SELECT></td>
			</tr>
			<tr><td>Course Term</td>
				<td><SELECT name="Course_Term" style="width:220px">
				<?php for($i=0; $i<count($options);$i++) 
						{
							?><OPTION><?php echo $options[$i]; ?></OPTION>
				  <?php }
				?></SELECT></td>
			</tr>
			<tr><td></td>
				<td><input type="submit" name="Course_upd" value="Add Course"></td></tr>
		</table></form>
      <?php $post_course_upd = esc_html($_POST['Course_upd']);
			$post_crn = esc_html($_POST['CRN']);
			$post_course_no = esc_html($_POST['Course_No']);
			$post_course_title = esc_html($_POST['Course_Title']);
			$post_course_section = esc_html($_POST['Course_Section']);
			$post_ins_login = esc_html($_POST['Ins_login']);
			$post_course_term = esc_html($_POST['Course_Term']);
			
			if ($post_course_upd)
				{
					if (($post_crn=="") OR ($post_course_no=="") OR ($post_course_title=="") OR ($post_course_section=="") OR ($post_ins_login=="Select") OR ($post_course_term=="Select"))
					{
						echo "All fields are required";
					}
					else
					{
						$count_val = $wpdb->get_var($wpdb->prepare("SELECT count(*) FROM course_table WHERE CRN = '".$post_crn."'"));
						if( $count_val==0)
						{
							$results = $wpdb->query($wpdb->prepare("INSERT INTO course_table (CRN, Course_No, Course_Title, Section, Instructor_login, Term) VALUES ('".$post_crn."', '".$post_course_no."', '".$post_course_title."', '".$post_course_section."', '".$post_ins_login."', '".$post_course_term."')"));
						}
						else
						{
							echo "There is already course with this same CRN no";
						}
					}
				}	  
	}	
  } 
}
/*************************************************************************
**************************************************************************
Update User Table Function
*************************************************************************/
function update_user_table()
{
  global $wpdb;
  global $current_user;
  get_currentuserinfo();
  
  if (is_user_logged_in())
  {
    $User_rol = $wpdb->get_row($wpdb->prepare("SELECT User_login, User_role FROM gb_user_table WHERE User_login='".$current_user->user_login."'"));
	if (($User_rol->User_role)=='Administrator')
	{
	   echo "<br></br><b>Add User/Role</b><br></br>";
	   echo '<form action="" method="post" name="user_table" enctype="multipart/form-data"><table>
				<tr><td>User ID:</td>
					<td><input type="text" name="login"></td></tr>
				<tr><td>User Role</td>
					<td> <SELECT name="role" style="width:220px"><OPTION>Select</OPTION>
					     <OPTION>Administrator</OPTION>
						 <OPTION>Faculty</OPTION>
						 <OPTION>Teacher Assistant</OPTION></SELECT></td></tr>
				<tr><td></td>
					<td><input type="submit" name="submit" value="Add"></td></tr>
				</table></form>';
		$post_submit = esc_html($_POST['submit']);
		$post_login = esc_html($_POST['login']);
		$post_role = esc_html($_POST['role']);
	    if($post_submit)
        {
			if((($post_login)=="") OR (($post_role)=="Select"))
			{
			  echo "AccessNet ID field cannot be blank and User Role cannot be Select";
			}
			else
			{
			  $ch_user = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM gb_user_table WHERE = user_login'".$post_login."'"));
			  if($ch_user==0)
			  {
				check_user(($post_login), $data);
				if(($data[0][mail][0])=="")
				{
					echo "Invalid Access.NET ID";
				}
				else
				{
					$results = $wpdb->query($wpdb->prepare("INSERT INTO gb_user_table (User_login, User_email, User_role, User_name) VALUES ('".$post_login."', '".$data[0][mail][0]."', '".$post_role."', '".$data[0][cn][0]."')"));
				}
			  }
			  else
			  {
				echo "User has been already added";
			  }
			}
		} 
	 }
  }	
}
/*************************************************************************
**************************************************************************
Delete User Function
*************************************************************************/
function delete_user()
{
  global $wpdb;
  global $current_user;
  get_currentuserinfo();
  
  if (is_user_logged_in())
  {
    $User_rol = $wpdb->get_row($wpdb->prepare("SELECT User_login, User_role FROM gb_user_table WHERE User_login='".$current_user->user_login."'"));
	if (($User_rol->User_role)=='Administrator')
	{
       echo "<br></br><b>Delete User</b><br></br>";
	   $delete_user_results = $wpdb->get_results($wpdb->prepare("SELECT User_login FROM gb_user_table"));
	   ?><form action="" method="post" name="delete_user" enctype="multipart/form-data"><table>
			<tr><td>AccessNet ID:</td>
				<td> <SELECT name="ID" style="width:220px"><OPTION>Select</OPTION>
				<?php foreach ($delete_user_results as $data)
						{
							//echo "test";
							?><OPTION><?php echo $data->User_login; ?></OPTION>
				  <?php }
				?></SELECT></td>
			</tr>
			<tr><td></td>
				<td><input type="submit" name="Delete" value="Delete"></td></tr>
		</table></form>
	<?php $post_delete = esc_html($_POST['Delete']);
		  $post_id = esc_html($_POST['ID']);
		  if($post_delete)
				{
					if(($post_id)=="Select")
					{
						echo "Please Select a user to delete";
					}
					else
					{
						$results = $wpdb->query($wpdb->prepare("DELETE FROM gb_user_table WHERE User_login ='".$post_id."'"));
					}
				} 		
	}	 
  }	  
}
/*************************************************************************
**************************************************************************
Update General Information Function
*************************************************************************/
function update_general_info()
{
  global $wpdb;
  global $current_user;
  get_currentuserinfo();
  
  if (is_user_logged_in())
  {
    $User_rol = $wpdb->get_row($wpdb->prepare("SELECT User_login, User_role FROM gb_user_table WHERE User_login='".$current_user->user_login."'"));
	if (($User_rol->User_role)=='Administrator')
	{ 
	    echo "<br></br><b>Edit General Information</b><br></br>";
	 	$sel_gen_info = $wpdb->get_results($wpdb->prepare("SELECT * FROM general_info"));
		$post_upd_gen_info = esc_html($_POST['upd_gen_info']);
		if($post_upd_gen_info)
        {
		    foreach ($sel_gen_info as $sel_upd_data)
			{		   
     		   $upd_gen_results = $wpdb->query($wpdb->prepare("UPDATE general_info SET Value='".$_POST[$sel_upd_data->Value_Name]."' WHERE Title ='".$sel_upd_data->Title."'"));
			}
		} 	
		?><form action="" method="post" name="sel_general" enctype="multipart/form-data"><table>
			<?php $sel_general_info = $wpdb->get_results($wpdb->prepare("SELECT * FROM general_info"));
					foreach ($sel_general_info as $sel_data)
					{ 
					  ?><tr><td><?php echo $sel_data->Title; ?></td>
							<td><input type="text" name="<?php echo $sel_data->Value_Name; ?>" value="<?php echo $sel_data->Value; ?>"></td>
						</tr>
			  <?php }
			  ?><tr><td></td>
					<td><input type="submit" name="upd_gen_info" value="Update"></td></tr>
		</table></form>
<?php }
  }	  
}
?>